ContentDisposition (JavaMail API documentation)
Date: 2019-08-31

javax.mail.internet

## Class ContentDisposition

- java.lang.Object
- - javax.mail.internet.ContentDisposition

-     public class ContentDisposition
      extends java.lang.Object

  This class represents a MIME ContentDisposition value. It provides methods to parse a ContentDisposition string into individual components and to generate a MIME style ContentDisposition string.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentDisposition()` No-arg Constructor.
    `ContentDisposition(java.lang.String s)` Constructor that takes a ContentDisposition string.
    `ContentDisposition(java.lang.String disposition, ParameterList list)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDisposition()` Return the disposition value.
    `java.lang.String` | `getParameter(java.lang.String name)` Return the specified parameter value.
    `ParameterList` | `getParameterList()` Return a ParameterList object that holds all the available parameters.
    `void` | `setDisposition(java.lang.String disposition)` Set the disposition.
    `void` | `setParameter(java.lang.String name, java.lang.String value)` Set the specified parameter.
    `void` | `setParameterList(ParameterList list)` Set a new ParameterList.
    `java.lang.String` | `toString()` Retrieve a RFC2045 style string representation of this ContentDisposition.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentDisposition

          public ContentDisposition()

      No-arg Constructor.

    - #### ContentDisposition

          public ContentDisposition(java.lang.String disposition,
                                    ParameterList list)

      Constructor.
      Parameters:
        `disposition` - disposition
        `list` - ParameterList
      Since:
        JavaMail 1.2

    - #### ContentDisposition

          public ContentDisposition(java.lang.String s)
                             throws ParseException

      Constructor that takes a ContentDisposition string. The String is parsed into its constituents: dispostion and parameters. A ParseException is thrown if the parse fails.
      Parameters:
        `s` - the ContentDisposition string.
      Throws:
        `ParseException` - if the parse fails.
      Since:
        JavaMail 1.2

  - ### Method Detail

    - #### getDisposition

          public java.lang.String getDisposition()

      Return the disposition value.
      Returns:
        the disposition
      Since:
        JavaMail 1.2

    - #### getParameter

          public java.lang.String getParameter(java.lang.String name)

      Return the specified parameter value. Returns `null` if this parameter is absent.
      Returns:
        parameter value
      Since:
        JavaMail 1.2

    - #### getParameterList

          public ParameterList getParameterList()

      Return a ParameterList object that holds all the available parameters. Returns null if no parameters are available.
      Returns:
        ParameterList
      Since:
        JavaMail 1.2

    - #### setDisposition

          public void setDisposition(java.lang.String disposition)

      Set the disposition. Replaces the existing disposition.
      Parameters:
        `disposition` - the disposition
      Since:
        JavaMail 1.2

    - #### setParameter

          public void setParameter(java.lang.String name,
                                   java.lang.String value)

      Set the specified parameter. If this parameter already exists, it is replaced by this new value.
      Parameters:
        `name` - parameter name
        `value` - parameter value
      Since:
        JavaMail 1.2

    - #### setParameterList

          public void setParameterList(ParameterList list)

      Set a new ParameterList.
      Parameters:
        `list` - ParameterList
      Since:
        JavaMail 1.2

    - #### toString

          public java.lang.String toString()

      Retrieve a RFC2045 style string representation of this ContentDisposition. Returns an empty string if the conversion failed.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        RFC2045 style string
      Since:
        JavaMail 1.2

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms< /a>.